BUILD_BLAST_ATLAS_ALL_VS_ALL(1)

NAME
build_blast_atlas_all_vs_all - visually comparing bacterial, plasmid, chloroplast, or mitochondrial sequences

DESCRIPTION

  USAGE:

    build_blast_atlas_all_vs_all -p DIR [Options]

  DESCRIPTION:

    This script generates several CCT projects automatically, and then it combines the results into a single montage map. The montage consists of a separate map for each sequence of interest. This allows each sequence in a group of sequences to be visualized as the reference sequence.

    This command is used to first create a blast atlas all vs all project directory and then again to generate the montage. After the project has been created, place the genomes to compare in the comparison_genomes directory.

    [Optional] Make changes to the project_settings_multi.conf file to configure how the maps will be drawn. Add additional GFF files to the features and analysis directories.

    Draw maps by running this command again with the '-p' option pointing to the project directory.

  REQUIRED ARGUMENTS:

-p, --project DIR

    If no project exists yet, creates a new project directory. Otherwise, initiates map creation for the project.

  OPTIONAL ARGUMENTS:

-m, --memory STRING

    Memory value for Java's -Xmx option (Default: 1500m).

-c, --custom STRING

    Custom settings for map creation.

-b, --max_blast_comparisons INTEGER

    Maximum number of comparison genomes to display (Default: 100).

-z, --map_size STRING

    Size of custom maps to create. For quickly regenerating new map sizes, use this option with the --start_at_xml option. Possible sizes include small/medium/large/x-large or a combination separated by commas (e.g. small,large). The size(s) provided will override the size(s) in the configuration files.

-x, --start_at_xml

    Jump to XML generation. Skips performing blast, which can speed map generation if blast has already been done. This option is for creating new maps after making changes to the .conf files or if creating new map sizes (see --map_size). Note that any changes in the .conf files related to blast will be ignored. This option will be ignored if the --start_at_map or --start_at_montage option is also provided.

-r, --start_at_map

    Start at map generation. Skips performing blast and generating XML. Useful if manual changes to the XML files have been made. This option will be ignored if the --start_at_montage option is also provided.

-g, --start_at_montage

    Start at montage generation. Skips creating the individual maps. Useful if changing how many columns the montage should have.

-y, --columns INTEGER

    The number of columns to use in the montage image (Default: 4). If the maps have already been drawn once, it is best to use this option with the --start_at_montage option.

-h, --help

    Show this message.

  NOTES:

    This script will likely not work if there are spaces in the path to the project directory because the NCBI tool 'formatdb' cannot handle such paths.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.